ldap_add
ldap_close
LDAP Functions
PHP Manual

# ldap_bind

(PHP 4, PHP 5)

ldap_bind — Bind to LDAP directory

### Description

bool ldap_bind ( resource `$link_identifier` [, string `$bind_rdn` [, string `$bind_password` ]] )

Binds to the LDAP directory with specified RDN and password.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`bind_rdn`

`bind_password`

If `bind_rdn` and `bind_password` are not specified, an anonymous bind is attempted.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Using LDAP Bind

`<?php
// using ldap bind
$ldaprdn = 'uname'; // ldap rdn or dn
$ldappass = 'password'; // associated password
// connect to ldap server
$ldapconn = ldap_connect("ldap.example.com")
or die("Could not connect to LDAP server.");
if ($ldapconn) {
// binding to ldap server
$ldapbind = ldap_bind($ldapconn, $ldaprdn, $ldappass);
// verify binding
if ($ldapbind) {
echo "LDAP bind successful...";
} else {
echo "LDAP bind failed...";
}
}
?>`

Example #2 Using LDAP Bind Anonymously

`<?php
//using ldap bind anonymously
// connect to ldap server
$ldapconn = ldap_connect("ldap.example.com")
or die("Could not connect to LDAP server.");
if ($ldapconn) {
// binding anonymously
$ldapbind = ldap_bind($ldapconn);
if ($ldapbind) {
echo "LDAP bind anonymous successful...";
} else {
echo "LDAP bind anonymous failed...";
}
}
?>`

### See Also

- ldap_unbind()

ldap_add
ldap_close
LDAP Functions
PHP Manual